VMTKIMAGEVOLUMEVIEWER(1)

NAME
vmtkimagevolumeviewer - vmtk script vmtkimagevolumeviewer

DESCRIPTION
Automatic piping vmtkimagevolumeviewer Parsing options vmtkimagevolumeviewer

vmtkimagevolumeviewer : display a 3D image within a volume renderer

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-array ArrayName (str,1): name of the array to display

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-display Display (bool,1); default=1: toggle rendering

-preset Preset (str,1) in ['CT-AAA', 'CT-AAA2', 'CT-Bone', 'CTBones', 'CT-Cardiac', 'CT-Cardiac2', 'CT-Cardiac3', 'CT-ChestContrast-Enhanced', 'CT-Chest-Vessels', 'CT-Coronary-Arteries',

    'CT-Coronary-Arteries-2', 'CT-Coronary-Arteries-3', 'CT-CroppedVolume-Bone', 'CT-Fat', 'CT-Liver-Vasculature', 'CT-Lung', 'CTMIP', 'CT-Muscle', 'CT-Pulmonary-Arteries', 'CT-Soft-Tissue', 'MR-Angio', 'MR-Default', 'MR-MIP', 'MR-T2-Brain', 'DTI-FABrain']; default=CT-Coronary-Arteries-2: sets the color map, opacity, and lighting applied to visualize the rendered volume

-rendermethod VolumeRenderingMethod (str,1) in ['default', 'gpu',

    'ospray', 'raycast']; default=default: toggle rendering method. By default will auto detect hardware capabilities and select best render method. If desired, can set to RayCast, OSPRay, or GPU rendering. Note, may crash if GPU method is set and no compatible GPU is available on the system. Suggested to leave at default value.

-box BoxOutline (bool,1); default=0: display a box-shaped outline

    around the edges of the volume data

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image

-colorfunction ColorTransferFunction (vtkColorTransferFunction,1)

-gradientopacityfunction GradientOpacityTransferFunction

    (vtkPiecewiseFunction,1)

-opacityfunction OpacityTransferFunction (vtkPiecewiseFunction,1)

-interpolation InterpolationType (int,1); default=None

-shade Shade (int,1); default=None

-specularpower SpecularPower (float,1); default=None

-specular Specular (float,1); default=None

-diffuse Diffuse (float,1); default=None

-ambient Ambient (float,1); default=None